%% ------------------------------
%% module:lucky_turrtable.hrl
%% desc	 :幸运转盘头文件
%% author:hh
%% time	 :20/10/10
%% ------------------------------

%% 幸运转盘配置
-record(base_lucky_turntable, {
	suit = 0,				%% 套件id
	times = 0,				%% 次数
	type = [],				%% 转盘类型
	golds = [],				%% 不同类型对应的彩钻数
	weight_lucky = [],		%% 第一档转盘权重
	weight_suprise = []		%% 第二档转盘权重
	}).


%% custom_act.hrl  #custom_act_data.act_data
-record(lucky_turntable_data, {
	times = [],				%% 不同档次数 [{档次类型(1档2档), 使用次数, 已获得次数}]
	recharge = 0,			%% 已充值彩钻数
	consume = 0				%% 已消费彩钻数
	}).


-define(TABLE_1, 1).
-define(TABLE_2, 2).